## SAMS quick installation

1. Download, unzip and untar the SAMS distribution

tar zxf sams-xxxxxx.tar.gz
cd sams

2. Run the configure script with the --help option (./configure --help) to see the users selectable settings.

3. Run the configure (./configure) script with your options.

OPTIONS:

You may change with the configure options:
--prefix=PATH - prefix root path eg /usr/local
--with-httpd-locations=PATH - path to the http server root directory
--with-mysql-includes=PATH - path to the mysql includes
--with-mysql-libpath=PATH - path to the mysql libraries

4. "make" ("gmake" for FreeBSD) will now build up SAMS

5 ."make install" ("gmake install" for FreeBSD) will create the SAMS directory structure and copy files in the chosen paths.

6. Create MySQL user who can read/write only the SAMS database.

mysql -u root -p
GRANT ALL PRIVILEGES ON squidctrl.* TO sams@localhost IDENTIFIED BY "samsuserpassword";
GRANT ALL PRIVILEGES ON squidlog.* TO sams@localhost IDENTIFIED BY "samsuserpassword";

Open the file /etc/sams.conf and change the meanings for host, user, password. Here, "host" means the MySQL server.
Example:
MYSQLHOSTNAME=localhost
MYSQLUSER=sams
MYSQLPASSWORD=sams_password

7.Create SAMS databases in MySQL
cd sams/mysql

Run the create_sams_db and create_squid_db scripts
or run
mysql -u samsuser -p < sams_db.sql
mysql -u samsuser -p < squid_db.sql

8. If you are using NTLM authentication, set up winbind.

9. Fix the /etc/init.d/samsd startup file.

10. Open the file http://yourserver/sams/index.html in your browser. SAMS should now display a welcome screen and a login dialog. You can be reading the user "Admin" password in the file INSTALL.